org.codehaus.groovy.tools.groovydoc

## Class FileSystemResourceManager

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.FileSystemResourceManager

- All Implemented Interfaces:
    ResourceManager

      public class FileSystemResourceManager
      extends Object
      implements ResourceManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemResourceManager()`
    `FileSystemResourceManager(String basedir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `getReader(String resourceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemResourceManager

          public FileSystemResourceManager()

    - #### FileSystemResourceManager

          public FileSystemResourceManager(String basedir)

  - ### Method Detail

    - #### getReader

          public Reader getReader(String resourceName)
                           throws IOException

      Specified by:
        `getReader` in interface `ResourceManager`
      Throws:
        `IOException`